| GET | /RestApi/sitefinity/generic-data/data-items | ||
|---|---|---|---|
| DELETE | /RestApi/sitefinity/generic-data/temp-items |
import java.math.*
import java.util.*
import java.io.InputStream
import net.servicestack.client.*
open class DataItemMessage
{
open var ItemId:String? = null
open var ItemType:String? = null
open var ItemProvider:String? = null
open var RelatedItemId:String? = null
open var RelatedItemType:String? = null
open var RelatedItemProvider:String? = null
open var RelationStatus:ContentLifecycleStatus? = null
open var FieldName:String? = null
open var Filter:String? = null
open var Order:String? = null
open var Skip:Int? = null
open var Take:Int? = null
}
enum class ContentLifecycleStatus(val value:Int)
{
Master(0),
Temp(1),
Live(2),
Deleted(4),
PartialTemp(8),
}
To override the Content-type in your clients, use the HTTP Accept Header, append the .csv suffix or ?format=csv
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
GET /RestApi/sitefinity/generic-data/data-items HTTP/1.1 Host: www.imglobal.com Accept: text/csv